# FModifierStepped(FModifier)

base classes — `bpy_struct`, `FModifier`

class `bpy.types.``FModifierStepped`(FModifier)

  Hold each interpolated value from the F-Curve for several frames without changing the timing

  `frame_end`

    Frame that modifier’s influence ends (if applicable)

    Type: | float in [-inf, inf], default 0.0

  `frame_offset`

    Reference number of frames before frames get held (use to get hold for ‘1-3’ vs ‘5-7’ holding patterns)

    Type: | float in [-inf, inf], default 0.0

  `frame_start`

    Frame that modifier’s influence starts (if applicable)

    Type: | float in [-inf, inf], default 0.0

  `frame_step`

    Number of frames to hold each value

    Type: | float in [-inf, inf], default 0.0

  `use_frame_end`

    Restrict modifier to only act before its ‘end’ frame

    Type: | boolean, default False

  `use_frame_start`

    Restrict modifier to only act after its ‘start’ frame

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `FModifier.type` `FModifier.show_expanded` `FModifier.mute` `FModifier.is_valid` `FModifier.active` `FModifier.use_restricted_range` | `FModifier.frame_start` `FModifier.frame_end` `FModifier.blend_in` `FModifier.blend_out` `FModifier.use_influence` `FModifier.influence`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`